singleton Material(veyronss_lettering)
{
    mapTo = "veyronss_lettering";
    specularMap[0] = "vehicles/veyronss/veyronss_lettering_s.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_lettering_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_lettering_d.dds";
    reflectivityMap[0] = "vehicles/veyronss/veyronss_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(veyronss)
{
    mapTo = "veyronss";
    diffuseMap[2] = "vehicles/veyronss/veyronss_c.dds";
    specularMap[2] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[2] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_widebody)
{
    mapTo = "veyronss_widebody";
    diffuseMap[2] = "vehicles/veyronss/veyronss_widebody_c.dds";
    specularMap[2] = "vehicles/veyronss/veyronss_widebody_s.dds";
    normalMap[2] = "vehicles/veyronss/veyronss_widebody_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_widebody_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_widebody_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("veyronss.skin.apex")
{
    mapTo = "veyronss.skin.apex";
	colorPaletteMap[2] = "vehicles/veyronss/veyronss_skin_apex_palette_uv1.dds";
    overlayMap[2] = "vehicles/veyronss/veyronss_skin_apex.png";
    diffuseMap[2] = "vehicles/veyronss/veyronss_c.dds";
    specularMap[2] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[2] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("veyronss_widebody.skin.apex")
{
    mapTo = "veyronss_widebody.skin.apex";
	colorPaletteMap[2] = "vehicles/veyronss/veyronss_skin_apex_palette_uv1.dds";
    overlayMap[2] = "vehicles/veyronss/veyronss_skin_apex.png";
    diffuseMap[2] = "vehicles/veyronss/veyronss_widebody_c.dds";
    specularMap[2] = "vehicles/veyronss/veyronss_widebody_s.dds";
    normalMap[2] = "vehicles/veyronss/veyronss_widebody_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_widebody_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_widebody_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_interior)
{
    mapTo = "veyronss_interior";
    normalMap[0] = "vehicles/veyronss/veyronss_interior_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_interior_d.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_intcarpet)
{
    mapTo = "veyronss_intcarpet";
    diffuseMap[0] = "vehicles/veyronss/veyronss_intcarpet_d.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_intcarpet_n.dds";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("veyronss_interior.skin_interior.blue")
{
    mapTo = "veyronss_interior.skin_interior.blue";
    normalMap[0] = "vehicles/veyronss/veyronss_interior_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_interior_d_blue.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("veyronss_intcarpet.skin_interior.blue")
{
    mapTo = "veyronss_intcarpet.skin_interior.blue";
    diffuseMap[0] = "vehicles/veyronss/veyronss_intcarpet_d_blue.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_intcarpet_n.dds";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_screen_1)
{
    mapTo = "veyronss_screen_1";
    diffuseMap[0] = "@screen_gps";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_seats)
{
    mapTo = "veyronss_seats";
    normalMap[0] = "vehicles/veyronss/veyronss_seats_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_seats_d.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("veyronss_seats.skin_interior.blue")
{
    mapTo = "veyronss_seats.skin_interior.blue";
    normalMap[0] = "vehicles/veyronss/veyronss_seats_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_seats_d_blue.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_gauges_off)
{
    mapTo = "veyronss_gauges_off";
    diffuseMap[0] = "vehicles/veyronss/veyronss_gauges_d.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_gauges_s.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(veyronss_gauges_on)
{
    mapTo = "veyronss_gauges_on";
    diffuseMap[1] = "vehicles/veyronss/veyronss_gauges_g.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_gauges_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_gauges_n.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_gauges_d.dds";
    specularMap[0] = "vehicles/veyronss/veyronss_gauges_s.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "1 1 1 0.8";
    useAnisotropic[1] = "1";
};

singleton Material(veyronss_display)
{
    mapTo = "veyronss_display";
    diffuseMap[0] = "vehicles/veyronss/veyronss_display.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_gauge_screen)
{
    mapTo = "veyronss_gauge_screen";
    diffuseMap[0] = "@veyronss_gauge_screen";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_glass)
{
    mapTo = "veyronss_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_glass_d.dds";
    opacityMap[0] = "vehicles/veyronss/veyronss_glass_d.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_glass_int)
{
    mapTo = "veyronss_glass_int";
    diffuseMap[0] = "vehicles/veyronss/veyronss_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_glass_dmg)
{
    mapTo = "veyronss_glass_dmg";
    diffuseMap[0] = "vehicles/veyronss/veyronss_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/veyronss/veyronss_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_windshield_dmg)
{
    mapTo = "veyronss_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/veyronss/veyronss_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_engine_1)
{
    mapTo = "veyronss_engine_1";
    diffuseMap[1] = "vehicles/veyronss/veyronss_engine_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_engine_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_emotor)
{
    mapTo = "veyronss_emotor";
    diffuseMap[1] = "vehicles/veyronss/veyronss_emotor_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_emotor_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_emotor_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_emotor_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_lights_dmg)
{
    mapTo = "veyronss_lights_dmg";
    diffuseMap[1] = "vehicles/veyronss/veyronss_lights_dmg_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_lights_dmg_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyronss_reverselight)
{
    mapTo = "veyronss_reverselight";
};

singleton Material(veyronss_signal_R)
{
    mapTo = "veyronss_signal_R";
};

singleton Material(veyronss_signal_L)
{
    mapTo = "veyronss_signal_L";
};

singleton Material(veyronss_taillight_R_1)
{
    mapTo = "veyronss_taillight_R_1";
};

singleton Material(veyronss_taillight_L_1)
{
    mapTo = "veyronss_taillight_L_1";
};

singleton Material(veyronss_headlight)
{
    mapTo = "veyronss_headlight";
};

singleton Material(veyronss_runninglight)
{
    mapTo = "veyronss_runninglight";
};

singleton Material(veyronss_foglight)
{
    mapTo = "veyronss_foglight";
};

singleton Material(veyronss_chmsl_1)
{
    mapTo = "veyronss_chmsl_1";
};

singleton Material(veyronss_taillight)
{
    mapTo = "veyronss_taillight";
};

singleton Material("veyronss.skin.powerglow")
{
    mapTo = "veyronss.skin.powerglow";
	colorPaletteMap[3] = "vehicles/veyronss/veyronss_skin_powerglow_uv1.dds";
    diffuseMap[3] = "vehicles/veyronss/veyronss_skin_powerglow.dds";
    diffuseMapUV[3] = "1";
    useAnisotropic[3] = "1";
    emissive[3] = "1";
    glow[3] = "1";
    diffuseMap[2] = "vehicles/veyronss/veyronss_c.dds";
    specularMap[2] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[2] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[1] = "vehicles/veyronss/veyronss_d.dds";
    specularMap[1] = "vehicles/veyronss/veyronss_s.dds";
    normalMap[1] = "vehicles/veyronss/veyronss_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyronss/veyronss_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[3] = "2 2 2 1.3";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(exterior)
{
	mapTo = "exterior";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lights)
{
	mapTo = "lights";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lights_on)
{
	mapTo = "lights_on";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_misc.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	glow[1] = "0";
    emissive[1] = "1";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lighting)
{
	mapTo = "lighting";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lighting_on)
{
	mapTo = "lighting_on";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	glow[1] = "0";
    emissive[1] = "1";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lighting_on_high)
{
	mapTo = "lighting_on_high";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights_on_high.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights_on_high.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights_on_high.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_lights_on_high.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	glow[1] = "0";
    emissive[1] = "1";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(exterior_ext)
{
	mapTo = "exterior_ext";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_ext_black_red.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_ext_black_red.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_ext_black_red.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_ext_black_red.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(badges)
{
	mapTo = "badges";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_badges.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_badges.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_badges.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_badges.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "1";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(cab)
{
	mapTo = "cab";
	reflectivityMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_cab.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/2012_bugatti_veyron_ss_cab.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_cab.dxt.dds";
	specularMap[1] = "vehicles/veyronss/2012_bugatti_veyron_ss_cab.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(exterior_chassis)
{
	mapTo = "exterior_chassis";
	reflectivityMap[0] = "vehicles/veyronss/car_chassis.dxt.dds";
	diffuseMap[0] = "vehicles/veyronss/car_chassis.dxt.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/car_chassis.dxt.dds";
	specularMap[1] = "vehicles/veyronss/car_chassis.dxt.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(glass)
{
	mapTo = "glass";
	reflectivityMap[0] = "vehicles/veyronss/glass.dds";
	diffuseMap[0] = "vehicles/veyronss/glass.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/veyronss/glass.dds";
	specularMap[1] = "vehicles/veyronss/glass.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "1";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};